%define shortname ocamlsdl

Name: lib%shortname
Version: 0.7.2
Release: alt4
Packager: Grigory Batalov <bga@altlinux.ru>

Summary: An interface between OCaml and SDL
License: LGPL
Group: System/Libraries
URL: http://ocamlsdl.sourceforge.net/

Source: %shortname-%version.tar.gz
Patch: ocamlsdl-0.7.2-alt-install.patch

Requires: ocaml = %{get_SVR ocaml}
BuildRequires(pre): ocaml

BuildRequires: findlib > 1.0.4 lablGL
# Automatically added by buildreq on Thu Feb 01 2007
BuildRequires: libSDL-devel libSDL_image-devel libSDL_mixer-devel libSDL_ttf-devel

%description
The goal of OCamlSDL is to provide access the multimedia hardware
in the ML programming language with the help of the SDL library.
The Simple DirectMedia Layer is a generic API that provides low
level access to audio, keyboard, mouse, and display framebuffer across
multiple platforms.

%prep
%setup -q -n %shortname-%version
%patch -p0

%build
%configure

%make_build

%install
mkdir -p %buildroot%_libdir/ocaml/site-lib
%make_install install \
	DESTDIR=%buildroot \
	OCAMLFIND_LDCONF=ignore \
	OCAMLFIND_DESTDIR=%buildroot%_libdir/ocaml/site-lib install

mkdir -p %buildroot/%_libdir/ocaml/stublibs/
mv %buildroot%_libdir/ocaml/site-lib/sdl/{dll*.so,lib*.a} %buildroot%_libdir/ocaml/stublibs/
	

%files
%doc README AUTHORS INSTALL NEWS doc/
%dir %_libdir/ocaml/site-lib/sdl
%_libdir/ocaml/site-lib/sdl/META
%_libdir/ocaml/site-lib/sdl/*.ml*
%_libdir/ocaml/site-lib/sdl/*.cm?*
%_libdir/ocaml/site-lib/sdl/*.a
%_libdir/ocaml/stublibs/*.so
%_libdir/ocaml/stublibs/*.a

%changelog
* Thu Feb 01 2007 Grigory Batalov <bga@altlinux.ru> 0.7.2-alt4
- Moved on to get_SVR macro.
- Library moved into %_libdir/ocaml/site-lib/.
- Strict packaging.
- New packager.

* Tue Mar 21 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.7.2-alt3
- Moved on to get_dep macro.

* Tue Mar 07 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.7.2-alt2
- Rebuild with new ocaml & friends.

* Sat Nov 05 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.7.2-alt1
- Initial build for ALT Linux.


